Subject: Re: mod_auth_mysql
From: "Gerrit P. Haase" <[email-masked]>
To: "Bill McCormick" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Thu, 21 Aug 2003 15:23:55 +0200

Bill schrieb:

>> $ nm libmysqlclient.a | grep _mysql_connect
>> 00002db0 T _mysql_connect
>>
>> This is version 3.23.43
>>
>> In version 4.1.0-alpha I just find:
>> $ nm libmysqlclient.a | grep connect
>> 00000000 T _mysql_real_connect
>> 00000000 T _mysql_manager_connect
>> 00000000 T _my_connect
>>

> I downloaded the 4.0 production release; looks like it's not lining up with
> mod_auth_mysql:

> $ nm libmysqlclient.a | grep connect
>          U _connect
> 00000000 T _my_connect
> 00000ae0 T _mysql_real_connect
> 00001940 t _mysql_reconnect
>          U _my_connect
> 000000f0 T _mysql_manager_connect

> I don't find any documentation fro Zeev that indicates which version of
> MySQL it supports.

Probably 3.4x.xx series it seems.

> P.S. is nm a POSIX program or a strictly a cygwin-izm?

It is in the binutils package like ld, should be available for every
platform, I don't know if this has s.th. to do with POSIX, but it is not
Cygwin specific.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/